package jp.sourceforge.glad.dsl.xml;

public interface XmlElement<T extends XmlElement<T>> {

    T attr(String name, Object value);
    T add(XmlElement<?> element);
    T text(Object text);
    T comment(Object comment);
    T endl();

    T xmlns(Object uri);
    T xmlns(String prefix, Object uri);
    T xml_lang(Object lang);

}
